Subject: Re: [PATCH net-next] page_pool: add DMA_ATTR_WEAK_ORDERING on all mappings

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Apr 2023 11:24:11 -0700

On Wed, 19 Apr 2023 15:49:17 +0200 Alexander Lobakin wrote:
> And you do that 2 days before I send this: [0] :D
> Just jokin' :p

Ha! It's karma for not posting the netlink int stuff, yet :P

> Unconditional weak ordering seems reasonable to me as well. BTW, I've
> seen one driver converted to PP already, which manages DMA mappings on
> its own *solely* because it needs to map stuff with weak ordering =\
> It could be switched to PP builtin map handling thanks to this change
> (-100 locs).

Neat!  I hope it will unblock a number of conversions.